package com.zcloud.service.bus.impl;

import java.util.List;

import com.zcloud.mapper.dsno1.hidden.HiddenCheckMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.service.bus.HiddenCheckService;

/**
 * 说明：隐患验收人员记录
 * 作者：luoxiaobao
 * 时间：2021-01-20
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class HiddenCheckServiceImpl implements HiddenCheckService{

	@Autowired
	private HiddenCheckMapper hiddencheckMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		hiddencheckMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		hiddencheckMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		hiddencheckMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return hiddencheckMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return hiddencheckMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return hiddencheckMapper.findById(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findByHidden(PageData pd)throws Exception{
		return hiddencheckMapper.findByHidden(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		hiddencheckMapper.deleteAll(ArrayDATA_IDS);
	}

	/**列表(根据公司查询)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllByCorp(PageData pd)throws Exception{
		return hiddencheckMapper.listAllByCorp(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteByCorp(PageData pd)throws Exception{
		hiddencheckMapper.deleteByCorp(pd);
	}
}

